Subject: AT&T ksh93
From: Glenn Fowler <[email-masked]>
To: [email-masked]
Date: Thu, 3 Feb 2005 10:41:54 -0500 (EST)

On 17 Dec 2004 16:35:31 -0000 Christopher Faylor wrote:

> I'd like to note for the archives also that I'd like to get the real version
> of ksh into the cygwin distribution.

> This comes up from time to time.  The first time it happened someone was insisting
> that they needed to change the cygwin DLL for this to happen and I had reservations
> about the licensing status of some of the changes since the person had also seen
> U/WIN sources.  Then, somehow, ksh was built without the need to change cygwin and
> a cygwin ksh package was going to show up any second now.

> Well, years later, we still don't have a ksh.

> Anyone want to take the plunge?

Rather than wasting time arguing about cygwin correctness, we added
section 2 system call intercepts to our base library to get cygwin to
act like unix.  The library intercepts keep windows from contaminating
our mainline source and scripts.  For details see

	http://www.research.att.com/sw/download/win32/

Since the last cygwin round AT&T ksh93, ast libraries, and UWIN source
and binaries have been released uder the OSI approved CPL 1.0
(Common Public License 1.0.)  I packaged the 2005-02-02 standalone
ksh for cygwin and posted setup.hint, tarballs and md5 sums at

	http://www.research.att.com/sw/download/beta/

The packages under this URL are password protected.  See

	http://www.research.att.com/sw/download/faq.license.html

for the rationale and name and password to use (the same name and
password for every user.)

I believe previous ksh93 vs. cygwin issues mentioned on this list have
been addressed in this release.

I won't be the cygwin ksh93 maintainer, but I can supply cygwin
packages at the above URL to the maintainer, including any changes
required in the package files.  All of our packages, including the
cygwin ones, are generated by table driven scripts, so any cygwin
specific package changes will be rolled back into those scripts.

-- Glenn Fowler -- AT&T Research, Florham Park NJ --

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/